V13.0
post
/ec-datahub-svc/rest/v13.0/tenant/{tenantId}/studies/{studyId}/{mode}/subjects/formItems
Retrieves subject form items details based on dynamic query parameters. This version additionally includes all expected items under expected dynamic visits and branch visits which are scheduled in the missing criteria and Modified logic for IS_MISSING_FORM.
Right: [SubjectFormItemsDatasetPost](https://docs.oracle.com/en/industries/life-sciences/clinical-one/analytics-information/permissions-access-analytics-datasets.html).
You can find more details about the dataset on [Subject Form Items dataset](https://docs.oracle.com/en/industries/life-sciences/clinical-one/analytics-information/subject-items-dataset.html).
Request
Path Parameters
-
mode(required): string
Mode of the study. Accepts design, test, active, or training.
-
studyId(required): string(uuid)
UUID for the study in uppercase hexadecimal format. Example: 0C7CBA3F70034C47947E2FAB086BFBF5Example:
0C7CBA3F70034C47947E2FAB086BFBF5 -
tenantId(required): string(uuid)
UUID for the tenant in uppercase hexadecimal format. Example: EC942244BB30163BE053BEC44C64CF34Example:
EC942244BB30163BE053BEC44C64CF34
Query Parameters
-
limit: integer(int32)
Minimum Value:
1The maximum number of records to return for the forms.Example:100 -
offset: integer(int32)
Minimum Value:
0Number of records to skip before starting to collect the result set.Example:0
Supported Media Types
- application/json
Root Schema : schema
Type:
objectDynamic query for DataHub design dataset specifying selected columns, filter predicates and sort order
Show Source
-
orderColumns: array
orderColumns
Sorting to apply on the result set
-
selectColumns: array
selectColumns
Columns to include in the result set
-
whereColumns: array
whereColumns
Filter predicates to apply when querying the dataset
Nested Schema : orderColumns
Type:
arraySorting to apply on the result set
Show Source
-
Array of:
object QueryOrder
Sort instruction specifying a column and order direction
Example:
[
{
"columnName":"VERSION_START",
"sortOrder":"ASC"
}
]Nested Schema : selectColumns
Type:
arrayColumns to include in the result set
Show Source
-
Array of:
string
Columns to include in the result setExample:
["STUDY_VERSION","STUDY_ID"]
Example:
[
"STUDY_VERSION",
"STUDY_ID"
]Nested Schema : whereColumns
Type:
arrayFilter predicates to apply when querying the dataset
Show Source
-
Array of:
object QueryPredicate
Predicate to filter dataset results by column, operator, and value
Example:
[
{
"columnName":"STUDY_ID",
"operator":"=",
"value":[
"A86F2D0BB610404DB62D37AFA9C20B50"
]
}
]Nested Schema : QueryOrder
Type:
objectSort instruction specifying a column and order direction
Show Source
-
columnName: string
Column name to sort byExample:
VERSION_START -
sortOrder: string
Sort order directionExample:
ASC
Example:
[
{
"columnName":"VERSION_START",
"sortOrder":"ASC"
}
]Nested Schema : QueryPredicate
Type:
objectPredicate to filter dataset results by column, operator, and value
Show Source
-
columnName: string
Column name to filter onExample:
STUDY_ID -
operator: string
Operator to apply for comparisonExample:
= -
value: array
value
Values to use for the filter. For IN or BETWEEN, provide multiple values
Example:
[
{
"columnName":"STUDY_ID",
"operator":"=",
"value":[
"A86F2D0BB610404DB62D37AFA9C20B50"
]
}
]Nested Schema : value
Type:
arrayValues to use for the filter. For IN or BETWEEN, provide multiple values
Show Source
-
Array of:
string
Values to use for the filter. For IN or BETWEEN, provide multiple valuesExample:
["A86F2D0BB610404DB62D37AFA9C20B50"]
Example:
[
"A86F2D0BB610404DB62D37AFA9C20B50"
]Examples
Back to Top
Response
Supported Media Types
- application/json
200 Response
Successful operation
Root Schema : DataHubReportDto
Type:
objectTabular report result of the dynamic query execution for the design dataset
Show Source
-
columns: array
columns
Names of the columns included in each row
-
count: integer
(int32)
Number of results returned in this pageExample:
2 -
data: array
data
Row data aligned with the columns list. Each inner array represents one row.
-
hasMore: string
Indicates if more results are available beyond the current pageExample:
false -
limit: integer
(int32)
Maximum number of rows requested per pageExample:
100 -
offset: integer
(int32)
Zero-based offset applied to the result setExample:
0 -
totalResults: integer
(int32)
Total number of results across all pagesExample:
2
Nested Schema : columns
Type:
arrayNames of the columns included in each row
Show Source
-
Array of:
string
Names of the columns included in each rowExample:
["FORM_OID","ITEM_OID","ITEM_NAME"]
Example:
[
"FORM_OID",
"ITEM_OID",
"ITEM_NAME"
]Nested Schema : data
Type:
arrayRow data aligned with the columns list. Each inner array represents one row.
Show Source
-
Array of:
array items
Row data aligned with the columns list. Each inner array represents one row.
Example:
[
[
"FORM001",
"ITEM001",
"Age"
],
[
"FORM002",
"ITEM002",
"Weight"
]
]Nested Schema : items
Type:
arrayRow data aligned with the columns list. Each inner array represents one row.
Show Source
-
Array of:
string
Row data aligned with the columns list. Each inner array represents one row.Example:
[["FORM001","ITEM001","Age"],["FORM002","ITEM002","Weight"]]
Example:
[
[
"FORM001",
"ITEM001",
"Age"
],
[
"FORM002",
"ITEM002",
"Weight"
]
]Examples
400 Response
'Missing / invalid data'
Root Schema : DataHubResponse
Type:
objectStandard response envelope containing status, optional result payload, optional error information and a version number.
Show Source
-
errorData: object
errorData
Error details when status is error.
-
result: object
result
Payload returned by the API when status is success.
-
status: string
Overall request processing status.Example:
success -
version: integer
(int32)
Envelope version number.Example:
1
Nested Schema : errorData
Type:
objectError details when status is error.
Example:
{
"errorCode":"C1-003",
"errorMessage":"Validation failed",
"details":{
"field":"limit",
"message":"limit must be >= 1"
}
}Nested Schema : result
Type:
objectPayload returned by the API when status is success.
Example:
{
"message":"Operation succeeded"
}Examples